Huawei E3276 will not recognized correctly

Bug #1198283 reported by Michael Brunner on 2013-07-05
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
modemmanager (Ubuntu)
Medium
Unassigned
usb-modeswitch (Ubuntu)
Undecided
Unassigned
usb-modeswitch-data (Ubuntu)
Undecided
Unassigned

Bug Description

Hello,
My Huawei LTE Stick (E3276) will not recognized correctly on Ubuntu 13.04 (Same problem on my Workstation).

How to Reproduce:

1.) Plug in the Huawei E3276 Stick to the USB Port

2.) Now should appear the PIN-Request but only a Errormessage appears: "Unable to open a folder for Mobile Partner: Error when getting information for file '/media/michael/Mobile Partner': No such file or directory"

In the syslog i had found following lines (i hope it helps):

Jul 5 19:16:32 michael-X201EP udisksd[2421]: Mounted /dev/sr0 at /media/michael/Mobile Partner on behalf of uid 1001
Jul 5 19:16:32 michael-X201EP usb_modeswitch[2820]: usb_modeswitch: switched to 12d1:1506 on 3/3
Jul 5 19:16:37 michael-X201EP signond[3024]: ../../../../src/signond/signondaemon.cpp 360 init Failed to SUID root. Secure storage will not be available.
Jul 5 19:16:40 michael-X201EP modem-manager[1085]: <info> (ttyUSB0) closing serial port...
Jul 5 19:16:40 michael-X201EP modem-manager[1085]: <info> (ttyUSB0) serial port closed
Jul 5 19:16:41 michael-X201EP modem-manager[1085]: <info> (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:14.0/usb3/3-2 claimed port ttyUSB0
Jul 5 19:16:41 michael-X201EP modem-manager[1085]: <error> Failed to organize modem ports: (0) Failed to find primary port.
Jul 5 19:16:41 michael-X201EP modem-manager[1085]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jul 5 19:16:41 michael-X201EP modem-manager[1085]: failed to marshal parameter 1 for signal DeviceRemoved
Jul 5 19:17:01 michael-X201EP CRON[3192]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)

As Workaround i had try'd this Script: "https://github.com/Janhouse/4g-connect-linux/blob/master/huawei-4g-linux.pl" and it works! :)

Thank you and
best regards,

michael

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: modemmanager 0.6.0.0.really-0ubuntu5
Uname: Linux 3.9.0-030900rc8-generic x86_64
ApportVersion: 2.9.2-0ubuntu8.2
Architecture: amd64
Date: Fri Jul 5 19:19:25 2013
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-annan-standard-precise-amd64-20130106-0
EcryptfsInUse: Yes
InstallationDate: Installed on 2013-03-28 (99 days ago)
InstallationMedia: Ubuntu 12.04 "Precise" - Build amd64 LIVE Binary 20130106-02:29
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: modemmanager
UpgradeStatus: Upgraded to raring on 2013-04-26 (70 days ago)

Michael Brunner (sm0x) wrote :

MM 0.7.x should handle this properly.

Changed in modemmanager:
status: New → Fix Committed
Changed in modemmanager (Ubuntu):
status: New → Confirmed
Toomas (toomaskaevand) wrote :

This Huawei 4G modem E3276 still doesn't work with Ubuntu. Now I upgraded to 13.10 but still I'm not able to use it through network-manager (0.9.8.0-0ubuntu22 ). Workaround script which was mentioned in previous post ("https://github.com/Janhouse/4g-connect-linux/blob/master/huawei-4g-linux.pl") works fine. The biggest issue with the huawei-4g-linux.pl script is that it doesn't appear in network-manger (it doesn't see wwan0 interface and keeps telling that you are offline). This is quite painful for all the apps that depend from it (e.g. OpenVPN doesn't connect).

Michael Brunner (sm0x) wrote :

screenshot from the new error

Michael Brunner (sm0x) wrote :
Download full text (5.8 KiB)

Same problem in the Trusty beta that ships with MM 1.*

The content from the USB-Modem (for the win and mac guys to install there software) is now displayed correctly but another error appears.

I have attached a screenshot with the new error.

Here the content of my syslog:

Mar 31 11:12:35 ubuntu kernel: [ 180.559018] usb 2-1.3: new high-speed USB device number 5 using ehci-pci
Mar 31 11:12:35 ubuntu kernel: [ 180.668513] usb 2-1.3: New USB device found, idVendor=12d1, idProduct=14fe
Mar 31 11:12:35 ubuntu kernel: [ 180.668525] usb 2-1.3: New USB device strings: Mfr=2, Product=1, SerialNumber=0
Mar 31 11:12:35 ubuntu kernel: [ 180.668531] usb 2-1.3: Product: HUAWEI Mobile
Mar 31 11:12:35 ubuntu kernel: [ 180.668536] usb 2-1.3: Manufacturer: HUAWEI Technology
Mar 31 11:12:35 ubuntu kernel: [ 180.712007] usb-storage 2-1.3:1.0: USB Mass Storage device detected
Mar 31 11:12:35 ubuntu kernel: [ 180.712160] scsi9 : usb-storage 2-1.3:1.0
Mar 31 11:12:35 ubuntu kernel: [ 180.712412] usb-storage 2-1.3:1.1: USB Mass Storage device detected
Mar 31 11:12:35 ubuntu kernel: [ 180.712524] scsi10 : usb-storage 2-1.3:1.1
Mar 31 11:12:35 ubuntu mtp-probe: checking bus 2, device 5: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3"
Mar 31 11:12:35 ubuntu mtp-probe: bus: 2, device: 5 was not an MTP device
Mar 31 11:12:36 ubuntu kernel: [ 181.711693] scsi 10:0:0:0: Direct-Access HUAWEI TF CARD Storage 2.31 PQ: 0 ANSI: 2
Mar 31 11:12:36 ubuntu kernel: [ 181.711749] scsi 9:0:0:0: CD-ROM HUAWEI Mass Storage 2.31 PQ: 0 ANSI: 2
Mar 31 11:12:36 ubuntu kernel: [ 181.715076] sd 10:0:0:0: Attached scsi generic sg2 type 0
Mar 31 11:12:36 ubuntu kernel: [ 181.715623] sd 10:0:0:0: [sdc] Attached SCSI removable disk
Mar 31 11:12:36 ubuntu kernel: [ 181.721877] sr0: scsi-1 drive
Mar 31 11:12:36 ubuntu kernel: [ 181.722119] sr 9:0:0:0: Attached scsi CD-ROM sr0
Mar 31 11:12:36 ubuntu kernel: [ 181.722244] sr 9:0:0:0: Attached scsi generic sg3 type 5
Mar 31 11:12:36 ubuntu usb_modeswitch: switching device 12d1:14fe on 002/005
Mar 31 11:12:36 ubuntu kernel: [ 181.944879] usb 2-1.3: USB disconnect, device number 5
Mar 31 11:12:37 ubuntu kernel: [ 182.242952] usb 2-1.3: new high-speed USB device number 6 using ehci-pci
Mar 31 11:12:37 ubuntu kernel: [ 182.336060] usb 2-1.3: New USB device found, idVendor=12d1, idProduct=1506
Mar 31 11:12:37 ubuntu kernel: [ 182.336072] usb 2-1.3: New USB device strings: Mfr=2, Product=1, SerialNumber=0
Mar 31 11:12:37 ubuntu kernel: [ 182.336078] usb 2-1.3: Product: HUAWEI Mobile
Mar 31 11:12:37 ubuntu kernel: [ 182.336083] usb 2-1.3: Manufacturer: HUAWEI Technology
Mar 31 11:12:37 ubuntu kernel: [ 182.338292] option 2-1.3:1.0: GSM modem (1-port) converter detected
Mar 31 11:12:37 ubuntu kernel: [ 182.338452] usb 2-1.3: GSM modem (1-port) converter now attached to ttyUSB0
Mar 31 11:12:37 ubuntu kernel: [ 182.341055] huawei_cdc_ncm 2-1.3:1.1: MAC-Address: 0c:5b:8f:27:9a:64
Mar 31 11:12:37 ubuntu kernel: [ 182.341195] huawei_cdc_ncm 2-1.3:1.1: cdc-wdm0: USB WDM device
Mar 31 11:12:37 ubuntu kernel: [ 182.341540] huawei_cdc_ncm 2-1.3:1.1 wwan0: register 'huawei_cdc_ncm' at usb-0000:00:1d.0-1.3, Hu...

Read more...

Michael Brunner (sm0x) wrote :

*reattached

Michael Brunner (sm0x) on 2014-03-31
tags: added: trusty
Changed in modemmanager (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
no longer affects: modemmanager
Mikko Majuri (mikko-majuri) wrote :

This bug still exists with (atleast) Xubuntu 14.10 LTS.

Huawei e3276 correct Vendor:Product is 12d1:1506, but it gets recognized as 12d1:14fe pretty often.
Sometimes a miracle happens and it gets recognized correctly but then usually Ubuntu doesn't launch the connection manager .

Martin Linden (linden) wrote :

Also in ubuntu 14.04 LTS,
$ uname -a
Linux apis 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

I have managed to run the script referred to by @toomaskaevand with my ISP (telia, in Sweden), and it makes the modem indicate a connection (blue light instead of green), but I don't know how to proceed from there to actually connect to something using e.g. firefox. Have anyone had any luck with that?

Michael Brunner (sm0x) wrote :

Hey Martin Linden, what do you get if you type lsusb in the terminal?

If the blue light is flashing pls try to type "sudo dhclient wwan0" and wait for the commandline, then try to open a website.
I guess this script is written for ArchLinux and dhcpcd.

If this does the job, pls change the line 69 from
system("dhcpcd $interface");

to

system("dhclient $interface");

Sorry about my bad english! :)

Martin Linden (linden) wrote :

Hi, and thanks for picking this up.

Before running the script (indicator led still green):
$ lsusb
Bus 002 Device 003: ID 04f2:b241 Chicony Electronics Co., Ltd
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 010: ID 12d1:1506 Huawei Technologies Co., Ltd. E398 LTE/UMTS/GSM Modem/Networkcard
Bus 001 Device 003: ID 08ff:2683 AuthenTec, Inc.
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

--
$ ./huawei-4g-linux.pl --pin=MYPIN
Huawei 4g modem (E3276 and possibly others) script by Janhouse (Janis Jansons).

Opening device: /dev/ttyUSB0
> ATZ
> OK
> AT+CPIN=4353
> OK
> ATQ0 V1 E1 S0=0
> OK
> AT^NDISDUP=1,1,"online.telia.se"
> ERROR
> AT^DHCP?
> ERROR

You can close this script now or you can keep it open to monitor the link quality.

Link quality:
> AT+CSQ
> +CSQ: 18,99
> OK
> AT+COPS?
> +COPS: 0,0,"Telia",7
> OK
^C
Closing...

(led indicator not blinking blue instead).
$ lsusb -d12d1:1506
Bus 001 Device 012: ID 12d1:1506 Huawei Technologies Co., Ltd. E398 LTE/UMTS/GSM Modem/Networkcard
$ sudo dhclient wwan0
Cannot find device "wwan0"
$

Martin Linden (linden) wrote :

... and no luck browsing, or finding any mobile broadband in the network manager.

Martin Linden (linden) wrote :

Possibly relevant: someone reported success in getting an E3276 to work on ubuntu 14.04, by upgrading to usb mode switch 2.2 (I have v 2.1 right now), and/but also got a different device ID (12d1:14fe) with lsusb than the one I see.

http://www.draisberghof.de/usb_modeswitch/bb/viewtopic.php?f=3&t=2161

Maybe I should look into upgrading usb mode switch manually too?

Michael Brunner (sm0x) wrote :

If the device is already switched you should get 12d1:1506. If you get "14fe" the device is not switched correctly.

is online.telia.se your correct APN?
Is your Mobile Broadband already configured on another machine like a mac os or windows machine?

Your error looks like that your mobile broadband device cannot get a connection to the LTE network.
The Huawei E3276 saves the changes on the device itself, maybe you have already done some changes like "only lte networks".

what do you get if you type: "ifconfig" and "ip link" ?

Martin Linden (linden) wrote :
Download full text (5.9 KiB)

The apn setting is taken from the settings I used with an earlier
Huawei modem (E392) that did work on this computer.

I have indeed tried the present modem on a windows machine to verify
that it worked at all. I just tested again, and managed to get a 4G
network connection using online.telia.se. I also removed the PIN, but
could not find any settings to restrict the connection to any
particular type of network on the windows network manager that Huawei
supplies.

Retesting earlier suggestions after that test on windows brings up somewhat different responses from the script and a steady blue light (not blinking) from the modem, but no working internet connection, and no wwan0 interfae visible as far as I can see:

$ ./huawei-4g-linux.pl
Huawei 4g modem (E3276 and possibly others) script by Janhouse (Janis Jansons).

Opening device: /dev/ttyUSB0
> ATZ
> OK
> ATZ
> OK
> ATQ0 V1 E1 S0=0
> OK
> AT^NDISDUP=1,1,"online.telia.se"
> OK
> ^NDISSTAT:1,,,"IPV4"
> AT^DHCP?
> ^DHCP: 31B54E4E,FCFFFFFF,32B54E4E,32B54E4E,12C743C3,13C743C3,150000000,150000000
> OK
warn, dhcpcd will not work correctly unless run as root
err, wwan0: open `/var/run/dhcpcd-wwan0.pid': Permission denied
Hexadecimal number > 0xffffffff non-portable at ./huawei-4g-linux.pl line 73.
' ignored at ./huawei-4g-linux.pl line 73.
Hexadecimal number > 0xffffffff non-portable at ./huawei-4g-linux.pl line 73.

You can close this script now or you can keep it open to monitor the link quality.

Link quality:
> AT+CSQ
> +CSQ: 19,99
> OK
> AT+COPS?
> +COPS: 0,0,"Telia",7
> OK
Link quality:
> AT+CSQ
> +CSQ: 18,99
> OK
> AT+COPS?
> +COPS: 0,0,"Telia",7
> OK
^C
Closing...
$$ ifconfig
eth0 Link encap:Ethernet HWaddr 5c:9a:d8:ea:7a:17
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)
          Interrupt:17 Memory:e2700000-e2720000

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:65536 Metric:1
          RX packets:48236 errors:0 dropped:0 overruns:0 frame:0
          TX packets:48236 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:12295946 (12.2 MB) TX bytes:12295946 (12.2 MB)

wlan0 Link encap:Ethernet HWaddr a0:88:b4:b7:3b:8c
          inet addr:192.168.0.154 Bcast:192.168.0.255 Mask:255.255.255.0
          inet6 addr: fe80::a288:b4ff:feb7:3b8c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:526328 errors:0 dropped:0 overruns:0 frame:0
          TX packets:846132 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:115640447 (115.6 MB) TX bytes:1189924701 (1.1 GB)

bmelinden@apis:~/bin/4g-connect-linux-master$ ip link
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu...

Read more...

Marius B. Kotsbak (mariusko) wrote :

I have started the process to get usb-modeswitch / usb-modeswitch-data into Ubuntu 14.04 LTS backports. Are any of you able to assist in testing? See bug #1407431 and bug #1407429.

Download full text (3.8 KiB)

I'm afraid I don't currently possess the Huawei E3276 USB-stick. It was
Drafting back my work so i had to get the Huawei with builtin WLAN to deal
with the problem.

On Sun, Jan 4, 2015 at 4:11 PM, Marius B. Kotsbak <
<email address hidden>> wrote:

> I have started the process to get usb-modeswitch / usb-modeswitch-data
> into Ubuntu 14.04 LTS backports. Are any of you able to assist in
> testing? See bug #1407431 and bug #1407429.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1198283
>
> Title:
> Huawei E3276 will not recognized correctly
>
> Status in modemmanager package in Ubuntu:
> Triaged
> Status in usb-modeswitch package in Ubuntu:
> New
> Status in usb-modeswitch-data package in Ubuntu:
> New
>
> Bug description:
> Hello,
> My Huawei LTE Stick (E3276) will not recognized correctly on Ubuntu
> 13.04 (Same problem on my Workstation).
>
>
> How to Reproduce:
>
> 1.) Plug in the Huawei E3276 Stick to the USB Port
>
> 2.) Now should appear the PIN-Request but only a Errormessage appears:
> "Unable to open a folder for Mobile Partner: Error when getting
> information for file '/media/michael/Mobile Partner': No such file or
> directory"
>
>
> In the syslog i had found following lines (i hope it helps):
>
> Jul 5 19:16:32 michael-X201EP udisksd[2421]: Mounted /dev/sr0 at
> /media/michael/Mobile Partner on behalf of uid 1001
> Jul 5 19:16:32 michael-X201EP usb_modeswitch[2820]: usb_modeswitch:
> switched to 12d1:1506 on 3/3
> Jul 5 19:16:37 michael-X201EP signond[3024]:
> ../../../../src/signond/signondaemon.cpp 360 init Failed to SUID root.
> Secure storage will not be available.
> Jul 5 19:16:40 michael-X201EP modem-manager[1085]: <info> (ttyUSB0)
> closing serial port...
> Jul 5 19:16:40 michael-X201EP modem-manager[1085]: <info> (ttyUSB0)
> serial port closed
> Jul 5 19:16:41 michael-X201EP modem-manager[1085]: <info> (Huawei):
> GSM modem /sys/devices/pci0000:00/0000:00:14.0/usb3/3-2 claimed port ttyUSB0
> Jul 5 19:16:41 michael-X201EP modem-manager[1085]: <error> Failed to
> organize modem ports: (0) Failed to find primary port.
> Jul 5 19:16:41 michael-X201EP modem-manager[1085]: marshal_object:
> assertion `g_variant_is_object_path (path)' failed
> Jul 5 19:16:41 michael-X201EP modem-manager[1085]: failed to marshal
> parameter 1 for signal DeviceRemoved
> Jul 5 19:17:01 michael-X201EP CRON[3192]: (root) CMD ( cd / &&
> run-parts --report /etc/cron.hourly)
>
>
> As Workaround i had try'd this Script: "
> https://github.com/Janhouse/4g-connect-linux/blob/master/huawei-4g-linux.pl"
> and it works! :)
>
>
> Thank you and
> best regards,
>
> michael
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: modemmanager 0.6.0.0.really-0ubuntu5
> Uname: Linux 3.9.0-030900rc8-generic x86_64
> ApportVersion: 2.9.2-0ubuntu8.2
> Architecture: amd64
> Date: Fri Jul 5 19:19:25 2013
> DistributionChannelDescriptor:
> # This is a distribution channel descriptor
> # For more information see
> http://wiki.ubuntu.com/DistributionChannelDescriptor
> canonical-oem-annan-s...

Read more...

Michael Brunner (sm0x) wrote :

After a while I tried this USB-Modem again.
In Ubuntu 14.04.3 (livecd - laptop):
Sometimes the modem was switched correctly, sometimes not (a kernel backtrace occurs at syslog).
Also if the system switched the device correctly to 1506, it doesn't appear at the Network-Manager.

I use Fedora 21 on my workstation and it seems to be working correctly.
I testet this device on my workstation several times and it worked every single attempt.

spinxz (spinxz) wrote :

I have the same problem on 16.04. The usb mode switch does not trigger properly.

The following workaround works for me:

To fix automatic switching, a new udev rule is required (do not modify the original automatic rule in /lib/udev/rules.d/40-usb_modeswitch.rules). Create the file /etc/udev/rules.d/39-usbmodeswitch-custom.rules with:
------------------------
# Hack: specifc rule for switching Huawei E3276 and similar modems
SUBSYSTEMS=="usb", ACTION=="add", ATTRS{idVendor}=="12d1", ATTRS{idProduct}=="1f01", RUN+="/etc/udev/rules.d/switch_usb_mode.sh"
------------------------

Next create an executable script (chmod +x) /etc/udev/rules.d/switch_usb_mode.sh:
---------------------------
#!/bin/bash
# switch HUAWEI modem to modem-mode using Huawei new mode option J
usb_modeswitch -J -v 0x12d1 -p 0x1f01
---------------------------

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers